import java.util.ArrayList;

public class Zauberer extends Haendler{

  public Zauberer(String name){
    super(name);
  }

  @Override
  public ArrayList<Item> handel(Item i) {
    ArrayList<Item> ergebnis = new ArrayList<Item>();
    switch(i.toString()) {
      case Pilz.NAME : {
        ergebnis.add(new Trank());
        ergebnis.add(new Trank());
        return ergebnis;
      }
      case Trank.NAME : {
        ergebnis.add(i);
        return ergebnis;
      }
      case Stein.NAME : {
        ergebnis.add(new Trank());
        return ergebnis;
      }
    }
    return ergebnis;
  }
  
  @Override
  public String toString(){
    return "Zauberer " + this.name;
  }  
}
